summaryrefslogtreecommitdiff
path: root/LICENSES
diff options
context:
space:
mode:
authorChristoph Hellwig <hch@lst.de>2019-04-30 06:51:29 -0400
committerJonathan Corbet <corbet@lwn.net>2019-05-03 06:34:16 -0600
commit8ea8814fcdcb32cc667d090455649893a362c658 (patch)
tree30f34bd321ef70e695529f88de4af730c7513d37 /LICENSES
parent6132c37ca543d45cc911043fb17b2d86593fb612 (diff)
downloadlinux-sh-8ea8814fcdcb32cc667d090455649893a362c658.tar.gz
LICENSES: Clearly mark dual license only licenses
Just like the CDDL the Apache license and the MPL must only be used as a choice in additional to an GPL2 compatible license. Copy over the boilerplate from the CDDL file to the other two after fixing it up to make it clear the licenses need to be GPL2 compatible, not just the more generic GPL compatible. For example the Apache 2 license is GPL3 compatible, but that doesn't matter for the kernel. Also move these licenses to a separate directory and document the rules in license-rules.rst. Signed-off-by: Christoph Hellwig <hch@lst.de> Reviewed-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org> Signed-off-by: Jonathan Corbet <corbet@lwn.net>
Diffstat (limited to 'LICENSES')
-rw-r--r--LICENSES/dual/Apache-2.0 (renamed from LICENSES/other/Apache-2.0)4
-rw-r--r--LICENSES/dual/CDDL-1.0 (renamed from LICENSES/other/CDDL-1.0)4
-rw-r--r--LICENSES/dual/MPL-1.1 (renamed from LICENSES/other/MPL-1.1)4
3 files changed, 10 insertions, 2 deletions
diff --git a/LICENSES/other/Apache-2.0 b/LICENSES/dual/Apache-2.0
index 7cd903f573e5..6e89ddeab187 100644
--- a/LICENSES/other/Apache-2.0
+++ b/LICENSES/dual/Apache-2.0
@@ -1,6 +1,10 @@
Valid-License-Identifier: Apache-2.0
SPDX-URL: https://spdx.org/licenses/Apache-2.0.html
Usage-Guide:
+ Do NOT use. The Apache-2.0 is not GPL2 compatible. It may only be used
+ for dual-licensed files where the other license is GPL2 compatible.
+ If you end up using this it MUST be used together with a GPL2 compatible
+ license using "OR".
To use the Apache License version 2.0 put the following SPDX tag/value
pair into a comment according to the placement guidelines in the
licensing rules documentation:
diff --git a/LICENSES/other/CDDL-1.0 b/LICENSES/dual/CDDL-1.0
index 25f614276ddd..b0ca1016db79 100644
--- a/LICENSES/other/CDDL-1.0
+++ b/LICENSES/dual/CDDL-1.0
@@ -1,8 +1,8 @@
Valid-License-Identifier: CDDL-1.0
SPDX-URL: https://spdx.org/licenses/CDDL-1.0.html
Usage-Guide:
- Do NOT use. The CDDL-1.0 is not GPL compatible. It may only be used for
- dual-licensed files where the other license is GPL compatible.
+ Do NOT use. The CDDL-1.0 is not GPL2 compatible. It may only be used for
+ dual-licensed files where the other license is GPL2 compatible.
If you end up using this it MUST be used together with a GPL2 compatible
license using "OR".
To use the Common Development and Distribution License 1.0 put the
diff --git a/LICENSES/other/MPL-1.1 b/LICENSES/dual/MPL-1.1
index 568b6049efe6..61706859e1b2 100644
--- a/LICENSES/other/MPL-1.1
+++ b/LICENSES/dual/MPL-1.1
@@ -1,6 +1,10 @@
Valid-License-Identifier: MPL-1.1
SPDX-URL: https://spdx.org/licenses/MPL-1.1.html
Usage-Guide:
+ Do NOT use. The MPL-1.1 is not GPL2 compatible. It may only be used for
+ dual-licensed files where the other license is GPL2 compatible.
+ If you end up using this it MUST be used together with a GPL2 compatible
+ license using "OR".
To use the Mozilla Public License version 1.1 put the following SPDX
tag/value pair into a comment according to the placement guidelines in
the licensing rules documentation: